.cards-list {
	width: 100vw;
	height: 100vh;

	display: flex;
	justify-content: center;
	align-items: center;
}

.cards-list__card {
	border-radius: 16px;
	width: 240px;
	height: 244px;
	box-sizing: border-box;
	padding: 24px 16px;
	position: relative;
	overflow: hidden;


	display: flex;
	flex-direction: column;
	justify-content: space-between;
}

/* ПРАВИЛЬНЫЙ МЕТОД */
.cards-list__card--red {
	background: 
	url(../img/python-icon.svg) -50px 20px no-repeat, 
	linear-gradient(321.69deg, #ff6188 0%, #ffb199 100%);

}

.cards-list__card--red > .card__link {
	color: #ff6188;
}

/* ПРАВИЛЬНЫЙ МЕТОД */
.cards-list__card--blue {
	background-image: url(../img/react-icon.svg), linear-gradient(321.69deg, #4481eb 0%, #04BEFE 100%);
	background-repeat: no-repeat, no-repeat;
	background-position: -50px 20px, center;
}

.cards-list__card--blue > .card__link {
	color: #4481eb;
}

/* ПРАВИЛЬНЫЙ МЕТОД, НО СВОЙСТВО ROTATE НЕ СРАБОТАЕТ */
.cards-list__card--green {
	background-image: url(../img/sketch-icon.svg), linear-gradient(132.9deg, #63F7A1 1.3%, #27AE60 98.06%), linear-gradient(143.36deg, #D6FF94 3.66%, #3DC24B 103.19%);
	background-repeat: no-repeat, no-repeat;
	background-position: -50px 20px, center;
}

.cards-list__card--green > .card__link {
	color: #27AE60;
}

.cards-list__card + .cards-list__card {
	margin-left: 30px;
}

.card__title {
	font-size: 26px;
	line-height: 32px;
	color: #ffffff;
}

.card__link {
	line-height: 32px;
	text-decoration: none;
	background-color: #ffffff;
	border-radius: 8px;
	box-shadow: 0 4px 4px rgba(0, 0, 0, 0.07);
	padding: 3px 30px;
	align-self: flex-end;
	color: #ff6188;
	transition: padding 0.4s;
	box-shadow: 0 4px 4px rgba(0, 0, 0, 0.09);
}

.card__link:hover {
	padding: 6px 40px;
}

.card__bg-image {
	position: absolute;
	left: -40px;
	top: 40px;
	transform: rotate(-21deg);
}